=== debian/changelog ===
pwdsphinx (1.0.18-3) unstable; urgency=low

  * d/control: make dependency on libsphinx-dev versioned (>= 1.1.1):
    libsphinx api changed.  (We use this library by calling Python's
    ctypes.cdll.LoadLibrary in sphinxlib.py.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 06 Aug 2023 07:08:13 +0200

pwdsphinx (1.0.18-2) unstable; urgency=low

  [ Stefan Marsiske, 2023-08-04 ]
  * d/rules fixed, so that dpkg-buildpackage -A succeeds, and hopefully also
    test-build-all and packaging as well.  Thanks David Bremner and
    Christoph Berg.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 05 Aug 2023 05:29:57 +0200

pwdsphinx (1.0.18-1) unstable; urgency=low

  * New upstream, released 2023-07-31.  Missed: 1.0.17, released
    2023-07-31.

  [ Stefan Marsiske ]
  * d/pwdsphinx-tools.{install,manpages}: install new executable
    sx11-getacc-user-pass and manpage.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 02 Aug 2023 06:33:45 +0200

pwdsphinx (1.0.16-1) unstable; urgency=low

  * New upstream; released Jul 27, 2023.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 27 Jul 2023 14:34:34 +0200

pwdsphinx (1.0.15-1) unstable; urgency=low

  * New upstream; released Jul 25, 2023.  Missed: 1.0.9, 1.0.10,
    1.0.11 (Nov 3, 2022), 1.0.12 (Feb 9, 2023), 1.0.13 (Feb 12, 2023),
    1.0.14 (Jun 28, 2023).

  [ Joost van Baal-Ilić, 2023-07-27 ]
  * d/control: add Vcs-* headers.

  [ Stefan Marsiske, 2023-07-25 ]
  * added missing man-pages
  * merged debian/sphinx.1 with sphinx.md
  * GettingStarted.md gets installed
  * renamed .sphinx scripts to /usr/bin/sx11-*

  [ Stefan Marsiske, 2023-07-22 ]
  * contrib/Makefile: removed a trailing space - also trying to
    trigger salsa ci/cd

  [ Stefan Marsiske, 2023-06-27..28 ]
  * debian/pwdsphinx-tools.install, debian/pwdsphinx-tools.manpages,
    debian/pwdsphinx.install, debian/pwdsphinx.manpages,
    debian/tests/control, debian/tests/sphinx: fixing lintian issues
  * debian/control: removed an automatic dependency from control which
    added a non-existing dependency
  * debian/changelog, debian/control, debian/not-installed,
    debian/pwdsphinx-tools.docs, debian/pwdsphinx-tools.examples,
    debian/pwdsphinx.install: updated debian packaging, so that it
    succeeds, and lintian doesn't complain much

  [ Joost van Baal-Ilić, 2023-02-12 ]
  * d/watch: actually put some content in.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 27 Jul 2023 14:34:34 +0200

pwdsphinx (1.0.8-1) experimental; urgency=low

  * Initial upload to Debian. Closes: #1023113
  * New upstream.
    - fix in contrib/Makefile: .sh filename extension gone
  * d/control: the way pwdsphinx/sphinxlib.py finds libsphinx depends on
    the symlink installed by libsphinx-dev: we depend upon libsphinx-dev
  * d/sphinx.1: add manpage.
  * d/control: replace ${python3:Depends} by hardcoded list
    python3:any, python3-pysodium, python3-qrcodegen, python3-zxcvbn,
    python3-securestring, python3-pyequihash; for some reason
    ${python3:Depends}'s expansion included obsolete python3-equihash.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 01 Feb 2023 16:10:11 +0100

pwdsphinx (1.0.7-1) unstable; urgency=low

  * This release was never uploaded to the Debian archive.
  * New upstream.
    - d/pwdsphinx-tools.examples: .sh filename extension gone, adjust
  * d/pwdsphinx.examples: added: install upstream sphinx.cfg_sample

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 01 Nov 2022 10:05:27 +0100

pwdsphinx (1.0.6-2) unstable; urgency=low

  * This release was never uploaded to the Debian archive.
  * d/control: build-depends: s/python-setuptools/python3-setuptools/.
  * d/control: change Maintainer from Stefan Marsiske to myself, add
    Uploaders: jdx5yg90@ctrlc.hu, as agreed upon with upstream.
  * d/control: pwdsphinx: add missing Depends python3-zxcvbn and
    python3-securestring, as used by usr/bin/websphinx.
  * d/control: add pinentry-curses to virtual pwdsphinx-tools depends
    pinentry, add Suggests: pinentry-gnome3 | pinentry-x11 to pwdsphinx.
  * d/control: update Depends to libsphinx0 and python3-equihash.
  * d/control: add Depends: pwdspinx to pwdsphinx-tools.
  * d/contol: enhance description.
  * d/pwdsphinx.docs: install upstream README.md and whitepaper.org.
  * d/pwdsphinx-tools.docs, d/pwdsphinx-tools.install: install upstream
    contrib/README.md.
  * d/pwdsphinx-tools.install, d/pwdsphinx-tools.examples: move scripts to
    examples/: no manpages yet, use .sh filename extension.
  * d/not-installed: added: we overrule upstream contrib/Makefile.
  * d/README.Debian: remove: is copy of information in package description.
  * d/copyright: simplify.
  * d/copyright: add full text of CC-BY-SA-4.0. (See #795402 for why
    this is needed.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 22 Oct 2022 08:10:59 +0000

pwdsphinx (1.0.6-1) unstable; urgency=low

  * Initial release.

 -- Stefan Marsiske <sphinx@ctrlc.hu>  Thu, 09 Jun 2022 00:35:39 +0200
