=== debian/control ===
Source: pwdsphinx
Section: utils
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               python3-setuptools,
               python3-all,
               pandoc
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/stef/pwdsphinx
Vcs-Browser: https://salsa.debian.org/debian/pwdsphinx
Vcs-Git: https://salsa.debian.org/debian/pwdsphinx.git

Package: pwdsphinx
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libsphinx-dev (>= 1.1.1), python3:any, python3-pysodium,
   python3-qrcodegen, python3-zxcvbn, python3-securestring, python3-pyequihash
Suggests: pinentry-gnome3 | pinentry-x11
Recommends: pwdsphinx-tools
Description: SPHINX password storage protocol - reference server implementation
 SPHINX -- password Store that Perfectly Hides from Itself (No Xaggeration) --
 is an information-theoretically secure cryptographic password storage
 protocol with strong security guarantees, as described in the 2015 paper
 "Device-Enhanced Password Protocols with Optimal Online-Offline Protection" by
 Jarecki, Krawczyk, Shirvanian, and Saxena (https://ia.cr/2015/1099).
 .
 This package contains a CLI frontend ("sphinx"), a reference server
 implementation ("oracle") and a python wrapper for the SPHINX protocol.
 .
 If you want to use the websphinx browser extension you need to
 install an X11 variant of pinentry, as suggested by this package.

Package: pwdsphinx-tools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, pwdsphinx, python3:any, python3-pysodium,
   pinentry-curses | pinentry, xdotool, xinput, dmenu
Description: SPHINX password storage protocol - tools to integrate into an X11 desktop
 SPHINX -- password Store that Perfectly Hides from Itself (No Xaggeration) --
 is an information-theoretically secure cryptographic password storage
 protocol with strong security guarantees, as described in the 2015 paper
 "Device-Enhanced Password Protocols with Optimal Online-Offline Protection" by
 Jarecki, Krawczyk, Shirvanian, and Saxena (https://ia.cr/2015/1099).
 .
 This package contains 4 simple scripts which
   - wrap the client to query the master password securely using
     pinentry: "getpwd",
   - a tool "exec-on-click" which executes a command on mouse-click,
   - a tool "type-pwd" that combines the two previous tools to insert a
     password without using the clipboard,
   - and a dmenu wrapper "dmenu-sphinx" that uses all of the above to retrieve
     usernames and passwords for given hosts.
 Some of these tools can also be used for other password managers,
 that are using the clipboard to deliver passwords to the UI.
