=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

dh_auto_configure:
	dh_auto_configure --buildsystem=pybuild
	dh_auto_configure --sourcedirectory=contrib

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	$(MAKE) -C contrib DESTDIR=$(CURDIR)/debian/tmp install
