=== debian/tests/control ===
Tests: sphinx
Depends: pwdsphinx, bash
