=== debian/watch ===
# try also https://pypi.debian.net/pwdsphinx/watch
version=4
opts="\
dversionmangle=s/\+dfsg.*$//,\
filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/pwdsphinx-$1\.tar\.gz/,\
repack,repacksuffix=+dfsg,\
" \
https://github.com/stef/pwdsphinx/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
