## pwdsphinx 1.0.19

=== debian/changelog ===
pwdsphinx (1.0.19-1) unstable; urgency=low

  * New upstream, released 2023-05-16.
    - made zxcvbn dependency optional; since src:python-zxcvbn suffers
      from #1068975: "Abandoned upstream and unmaintained".  Thanks Andrey
      Rakhmatullin.

  * d/control: change Depends from libsphinx-dev to libsphinx0, since
    upstream no longer needs the -dev symlink.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 29 Jun 2024 14:42:45 +0200
