=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
 Package: pwdsphinx
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libsphinx-dev (>= 1.1.1), python3:any, python3-pysodium,
-   python3-qrcodegen, python3-zxcvbn, python3-securestring, python3-pyequihash
+Depends: ${misc:Depends}, libsphinx0 (>= 1.1.1), python3:any, python3-pysodium,
+   python3-qrcodegen, python3-securestring, python3-pyequihash
 Suggests: pinentry-gnome3 | pinentry-x11
 Recommends: pwdsphinx-tools
 Description: SPHINX password storage protocol - reference server implementation
