=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-python,
                python3-setuptools,
                python3-all,
+               python3-pyoprf,
                pandoc
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
