## pwdsphinx 1.99.2-beta

=== debian/changelog ===
pwdsphinx (1.99.2-beta-5) unstable; urgency=low

  * d/tests/control: Add flaky to Restrictions: we've seen some autopkgtest
    results changing from pass to fail without any relevant changes in our
    sources.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 27 Dec 2024 11:18:15 +0100

pwdsphinx (1.99.2-beta-4) unstable; urgency=low

  * debian/tests/control: do not run autopkgtest on architectures armel armhf
    i386 ppc64el riscv64; currently this means: limit to amd64 arm64 s390x.
    After consulting with upstream, we for now no longer run tests which have
    been shown to fail on the ci.debian.net testbeds.  Do note that upstream runs
    unittests, and github runs unittests on upstreams behalf: the wide coverage
    we currently have gives us enough confidence.

  * debian/patches/0006-disable-some-tests.patch: for now, also disable in
    tests/test.py:
    - test_main_create: tests.test.TestEndToEndNoUserlist.test_main_create fails
      during build's autopkgtest on salsa.d.o
    - test_rules_d: tests.test.TestEndToEndNoneEither.test_rules_d fails during
      build i386's autopkgtest on salsa.d.o

    BTW: on salsa.d.o: we pass provisioning, we fail build, we pass test:
    pipelines/786814.  We pass 2 builds; we fail the "build i386" with "Ran 37
    tests", "FAILED (errors=8)" (twice).  We pass 5 tests including the
    autopkgtest.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 26 Dec 2024 12:17:47 +0100

pwdsphinx (1.99.2-beta-3) unstable; urgency=low

  * debian/patches/0006-disable-some-tests.patch: for now, also disable
    in tests/test.py:
    - test_rules_ulsd: for some reason this test fails in autopkgtest on
      ci.debian.net.
    - test_create_user_xormask: for some reason this test fails on
      salsa.d.o.
    - test_rules_u: for some reason
      tests.test.TestEndToEndNoRWD_Keys.test_rules_u and
      tests.test.TestEndToEndNoneEither.test_rules_u fail in
      autopkgtest on salsa.d.o.
    - test_recreate_user and test_invalid_rules: for some reason
      tests.test.TestEndToEndNoUserlist.test_invalid_rules and
      tests.test.TestEndToEndNoUserlist.test_recreate_user sometimes fail during
      build on salsa.d.o.

    BTW: we now pass all 193 tests twice (on uploaders system).  NB: tests
    need write access on /dev/shm/ .  Thanks stef.  On salsa.d.o, result w/
    all tests enabled is: "Ran 193 tests in 67.009s FAILED (errors=121)".

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 18 Dec 2024 15:07:40 +0100

pwdsphinx (1.99.2-beta-2) unstable; urgency=low

  * debian/patches/0006-disable-some-tests.patch: also disable test_rules_l in
    tests/test.py .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 04 Dec 2024 16:46:02 +0100

pwdsphinx (1.99.2-beta-1) unstable; urgency=low

  * New upstream, released 2024-11-14.
    [ changes by Stefan Marsiske and Adam Tauber ]
    [fix] make ws-test and webauth-create work
    [fix] json needs doublequotes in ws-test
    [enh] ws-test takes now ready made json inputs
    [enh] implement messaging between content script & background.js
    [enh] implement webauthn-create background.js call
    [enh] add webauthn-create command to websphinx
    [enh] finalize the communication between the page and content js
    [enh] add "echo" command for debugging
    [mod] refactor command handling
    [enh] update webauthn parameters
    [enh] forward credentials
    [enh] create credentials
    [enh] initialize page-contentjs-bgjs communication
    [fix] single mode works again
    [enh] added tests for single mode configs
    [fix] typo in oracle.py
    [enh] added some sanity checks, and oracle can now create a long-term
           signing keypair
    [mod] sphinx qr now handles also userlist, threshold and list of servers
    [mod] enforce all peers being active in some actions
    [doc] small fixes to whitepaper
    [doc] updated whitepaper
    [doc] s/libsphinx/liboprf/ in README
    [enh] improved error message for get, warning about possible phishing
           attempt
    [mod] update spdx header year
    [doc] fix typos in type-pwd.1
    [doc] fix typos also in sphinx.1
    [doc] fix typos in oracle.1
    [fix] make path to oracle in endtoendtest absolute relative to sphinx
           module
    [fix] default config to toml

  * d/patches/0005-oracle-from-src.patch: removed: merged upstream.

  * d/patches: remove 0001-pwdsphinx-convertors-setup.patch
    0002-pwdsphinx-convertors-manifest.patch 0003-sphinx.cfg-keyerror.patch
    0004-sphinx.cfg: shipped with earlier upstream 1.99.1-beta-1 .

  * d/patches/series: NB: 0006-disable-some-tests.patch is still enabled. If
    disabled, result is: Ran 193 tests, FAILED (failures=4, errors=92).  If
    enabled, result is (on uploaders system): Ran 85 tests, OK .

  * d/control: updated Standards-Version from 4.5.1 to 4.7.0 (no changes
    needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 04 Dec 2024 15:14:18 +0100

pwdsphinx (1.99.1-beta-1) unstable; urgency=low

  * This release was never uploaded to Debian.

  * New upstream, released 2024-09-28.
    - [mod] small fixes and made betas 33 bytes more consistently
    - [mod] added data/masterkey for tests
    - [mod] moved test sphinx cfg data to test instead of pwdsphinx
    - [fix] don't reference BYZANTINE_DKG if corrupt_dkg_lib is none
    - [fix] missing converters from setup, and bump v to 1.99.1-beta
    - [fix] also added converters to manifest.in

  * d/patches/series: disable patches now shipped w/ upstream; enable
    new 0005-oracle-from-src.patch.
  * d/rules: enable PYBUILD_{BEFORE,AFTER}_TEST, thanks Stefan Marsiske.
  * d/tests/: rebuild "control", remove script "sphinx".
  * d/patches/0006-disable-some-tests.patch: for now we disable all failing
    tests in upstream tests/test.py (we do run all tests in test_conv.py
    test_pass2bin.py and test_rules.py).  We now run 73 tests.  The complete
    upstream suite encompasses 163 tests; which now would give (failures=3,

