=== debian/control ===
--- 
+++ 
@@ -9,9 +9,12 @@
                python3-setuptools,
                python3-all,
                python3-pyoprf,
+               python3-qrcodegen,
+               python3-securestring,
+               python3-pyequihash,
                pandoc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/stef/pwdsphinx
 Vcs-Browser: https://salsa.debian.org/debian/pwdsphinx
 Vcs-Git: https://salsa.debian.org/debian/pwdsphinx.git
