## pwdsphinx 2.0.0~rc2

=== debian/changelog ===
pwdsphinx (2.0.0~rc2-1) unstable; urgency=low

  * New upstream, released 2025-01-17
    [ changes by Stefan Marsiske ]
    [fix] otp:// converter and test case
    [fix] test/sphinx.cfg so it works with ltsigkey_path and test.py generated
     keys
    [fix] test.py so it works with b64 ltsigkeys
    [doc] documented webauthn_data_dir in man and sample cfg
    [doc] updated docs/example cfg with ltsigkey_path
    [mod] more robust and informative deletion of v1 records
    [enh] ltsigkey_path points at a file, while ltsigkey contains a b64 encoded
     pubkey in sphinx config section
    [doc] reviewed and updated whitepaper

  * d/control: make build-depends python3-pyoprf versioned: >= 0.6.0, cf
    upstream.  Fixes FTBFS, thanks Santiago Vila.  Closes: #1092041.

  BTW: on salsa.d.o: we pass all 11 pipeline jobs.  however we fail 2 tests:
  see https://salsa.debian.org/debian/pwdsphinx/-/jobs/6943011/raw: python 3.12:
  Ran 14 tests in 0.174s FAILED (errors=2); 3.13: Ran 14 tests in 0.194s FAILED
  (errors=2)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 18 Jan 2025 09:44:33 +0100

pwdsphinx (2.0.0~rc1-1) unstable; urgency=low

  * This release was never uploaded to the Debian archive.

  * New upstream, released 2025-01-13
    [ changes by Stefan Marsiske ]
    [fix] v1users fails during ratelimit if record non-existant
    [doc] update to man and readme
    [mod] notify user of v1-v2 upgrade and delete of v1 rec, also export
     delete_upgraded in qr code
    [enh] delete empty userblobs automatically
    [fix] infoleak for existing records based on delete auth failures
    [enh] implement automatic deletion of upgraded v1 records
    [enh] added support to retrieve v1 user blobs transparently
    [fix] we need pyoprf v0.6.0 or better with this version
    [enh] more refinements to v1get backward compat, also works now with
     zphinx-zerver
    [mod] guard v1get test
    [fix] don't run init after main finishes in oracle
    [enh] added backward compatibility support for getting records made with
     v1 sphinx
    [enh] added test for getting non-existing record
    [fix] changed ruleblob means different version for blobs

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 15 Jan 2025 06:54:26 +0100

pwdsphinx (1.99.3-beta-1) unstable; urgency=low

  * This release was never uploaded to the Debian archive.

  * New upstream, released 2025-01-07.
    [ changes by Stefan Marsiske and Adam Tauber ]
    [mod] bumped to v1.99.3-beta
    [enh] changed rwd size from 32 to 64 bytes, allowing longer secrets to be
     stored with SPHINX
    [mod] disabled test_get_inv_mpwd test which can fail with a 1/32 chance
    [mod] documented argon2i hardening step in SPHINX protocol, and size of rwd
     changing from 32 to 64 bytes
    [fix] adds missing argon2i hashing of rwd which got lost when going from
     libsphinx to liboprf (thx stsch9 for noticing)
    [fix] should fix https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1092041
     and all other debian build related test failures
    [mod] adapt to the state-struct removal from pyoprf tpdkg
    [fix] remove debug messages
    [fix] parse opaque store config only if it is available
    [enh] finalize webauthn get
    [fix] add clientdata fields at the right place
    [enh] update attestation object generation
    [enh] enhance webauthn
    [enh] finalize webauthn create response
    [fix] use correct data formats
    [enh] add webauthn GET
    [fix] remove unnecessary user creation/deletion
    [enh] store webauthn.create sk under pk "username"
    [enh] create client data for webauthn.get
    [fix] remove dbg messages
    [enh] finalize messaging between webauthn methods & websphinx
    [fix] adjust message processing ++ error handling finetune
    [doc] added opaquestore integration section to manpage
    [doc] added opaque-store integration to readme
    [enh] added extensive end2end tests for opaque-store integration
    [mod] changed test key/cert to p256 from rsa
    [fix] import of ostore in sphinx.py
    [fix] test for singlemode cannot run corrupted dkg test
    [mod] added integration of opaque-store to sphinx client
    [mod] reenabled mocking of print in test.py
    [enh] added tests for predefined pwd and raw outputs
    [fix] raw converted was buggy, due to clearmem overwriting the result of
     the raw "conversion "...
    [enh] allow predefined outputs for raw:// users
    [mod] updated manpages and sphinx example cfg
    [mod] also output the ltsig pubkey as b64 string when running init
    [fix] also in sphinx-x11 handle inputs starting with -
    [mod] switched to select() in oracle before accepting, in hope it fixes the
     problem with debian autopkgtest in their build ci/cd step
    [fix] make ws-test and webauth-create work
    [fix] json needs doublequotes in ws-test
    [enh] ws-test takes now ready made json inputs
    [enh] implement messaging between content script & background.js

  * d/rules: enhance override_dh_auto_install: remove possibly leftover files
    from our tests.
  * d/rules: explicitly set SHELL: allow bashisms in commandlines.

  * d/control: remove libsphinx0 (>= 1.1.1) from pwdsphinx Depends: no longer
    needed.

  BTW: on salsa.d.o: we pass all 11 pipeline jobs.  however we fail lots of
  tests: see https://salsa.debian.org/debian/pwdsphinx/-/jobs/6900750/raw:
  python 3.12: Ran 271 tests in 91.685s FAILED (errors=162); python 3.13: Ran
  271 tests in 104.941s FAILED (errors=162).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 11 Jan 2025 09:23:30 +0100

pwdsphinx (1.99.2-beta-6) unstable; urgency=low

  * This release was never uploaded to the Debian archive.

  * d/changelog: fix line length in entry 1.99.2-beta-4.  Thanks lintian.

  * d/patches/series: disable 0006-disable-some-tests.patch.  we now run all
    upstream supplied tests.
  * d/rules: make all errors in tests non-fatal.

  BTW: on salsa.d.o: we pass provisioning, we fail build, we pass test:

