=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-setuptools,
                python3-all,
-               python3-pyoprf,
+               python3-pyoprf (>= 0.6.0),
                python3-qrcodegen,
                python3-securestring,
                python3-pyequihash,
@@ -22,8 +22,8 @@
 Package: pwdsphinx
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libsphinx0 (>= 1.1.1), python3:any, python3-pysodium,
-   python3-qrcodegen, python3-securestring, python3-pyequihash
+Depends: ${misc:Depends}, python3:any, python3-pysodium, python3-qrcodegen,
+ python3-securestring, python3-pyequihash
 Suggests: pinentry-gnome3 | pinentry-x11
 Recommends: pwdsphinx-tools
 Description: SPHINX password storage protocol - reference server implementation
