## pwdsphinx 2.0.0~rc6

=== debian/changelog ===
pwdsphinx (2.0.0~rc6-1) unstable; urgency=low

  * New upstream, released 2025-02-06:
    [enh] added experimental minisign converter
    [enh] added pipe2tmpfile contrib tool
    [mod] removed obsolete contrib/sphage
    [mod] replaced contrib/sphage with converters/sphage installed via setup.py
    [fix] failing unittests in pristine clone of gitrepo

  * d/pwdsphinx-tools.{install,manpages}: install pipe2tmpfile script and
    manpage.

  On salsa, for Python 3.12: Ran 289 tests in 326.837s FAILED (errors=2):
  test_recreate_user (tests.test.TestEndToEndNoRWD_Keys.test_recreate_user),
  test_recreate_user (tests.test.TestEndToEnd.test_recreate_user).

  On my own computer: python3.12: Ran 289 tests in 311.283s OK;
  python3.13: Ran 289 tests in 314.982s OK

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 07 Feb 2025 05:50:19 +0100

pwdsphinx (2.0.0~rc5-1) unstable; urgency=low

  * New upstream, released 2025-01-24
    [ changes by Stefan Marsiske ]
    [doc] documented signing of original request with nonce together in
     whitepaper
    [fix] make all auth nonce sigs also contain the full request - thx mossmans
     for this
    [enh] added healthcheck operation
    [doc] removed reference to oathtool in sphinx-x11(1) man-page
    [fix] otp verb in sphinx-x11 dsl doesn't need to call oathtool anymore, the
     pin is calculated by sphinx internally
    [fix] upgrading TOTP records to v2 didn't work

  * d/copyright: add myself as copyright holder on debian/*.

  BTW: on salsa.d.o: provisioning succeeds, all 3 builds succeed, and all 7
  tests succeed. See
  https://salsa.debian.org/debian/pwdsphinx/-/pipelines/810439 .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 05 Feb 2025 13:49:03 +0100
