=== debian/changelog ===
pwdsphinx (2.0.3-1) unstable; urgency=low

  * New upstream, released 2025-03-20: "minor bugfix release": this upstream
    release fixes:
     - a more friendly error message if no configuration is found, yet
        allows one to continue with defaults, so that eventual tests and
        programmatic use is possible.
     - client actually uses the configured timeouts for network connections
     - unittests have 3s sleep between to accommodate for overloaded CI/CD
        infra failing tests because of resource starvation
     - github codeql action is now enabled

  * d/tests/control: add "flaky" to Restrictions: we're still seeing tests
    fail.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 21 Mar 2025 09:10:02 +0100

pwdsphinx (2.0.2-1) unstable; urgency=low

  * New upstream, released 2025-03-15:
     [fix] healthcheck was not adapted to the new ratelimit1 fn sig
    Missed 2.0.1, released 2025-03-15:
     [fix] added debug cfg setting, disabled dev debug exceptions & fixed
      actually working despite missing oracles, if enough respond
     [doc] changed radicle rid in readme
  * d/control: add link to https://sphinx.pm/ in description.
  * d/NEWS: added: document liboprf version requirements.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 20 Mar 2025 06:37:08 +0100

pwdsphinx (2.0.0-1) unstable; urgency=low

  * New upstream, released 2025-03-10:
    [fix] change ops do the same enforcement of rules and handling of
     converters as create ops
  * d/tests/control: get rid of "Architecture: !armel !armhf !i386 !ppc64el
    !riscv64": we now run tests on all Debian architectures.

   On salsa, for python 3.13: 288 tests PASS, 1 FAILS: ERROR:
   test_recreate_user (tests.test.TestEndToEndNoRWD_Keys.test_recreate_user).
   On my own computer, python 3.13: Ran 289 tests in 307.848s OK.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 12 Mar 2025 14:37:50 +0100

pwdsphinx (2.0.0~rc7-1) unstable; urgency=low

  * New upstream, released 2025-02-18:
    [enh] create/challenge ops return pubkeys for age/minisign/ssh-ed25519
     converters
    [doc] reformatted age/minisign examples in manpage
    [fix] not all manpages are html files
    [doc] also generate html from manpages
    [doc] provided examples of how to use the various converters in the
     sphinx(1) manpage
    [enh] added experimental ssh-ed25519 converter
    [fix] bug where converted output was infinite looping in the enforcing of
     all char classes being used during creation, based on convertedBy()
    [enh] converters now has a convertedBy function, which returns the
     converter based on a username, also convert supplies username and host to
     converters
    [mod] converters.convert() fn also gets username and host as params
    [fix] don't crash the server with non-ssl connections, thx a

  * d/tests/control: no longer mark tests as flaky, since we pass all of them
    now on buildd.d.o.  (We still have "Architecture: !armel !armhf !i386
    !ppc64el !riscv64".)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 22 Feb 2025 14:49:25 +0100
