=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
  is an information-theoretically secure cryptographic password storage
  protocol with strong security guarantees, as described in the 2015 paper
  "Device-Enhanced Password Protocols with Optimal Online-Offline Protection" by
- Jarecki, Krawczyk, Shirvanian, and Saxena (https://ia.cr/2015/1099).
+ Jarecki, Krawczyk, Shirvanian, and Saxena (https://ia.cr/2015/1099).  It is
+ documented online at https://sphinx.pm/ .
  .
  This package contains a CLI frontend ("sphinx"), a reference server
  implementation ("oracle") and a python wrapper for the SPHINX protocol.
@@ -49,7 +50,8 @@
  is an information-theoretically secure cryptographic password storage
  protocol with strong security guarantees, as described in the 2015 paper
  "Device-Enhanced Password Protocols with Optimal Online-Offline Protection" by
- Jarecki, Krawczyk, Shirvanian, and Saxena (https://ia.cr/2015/1099).
+ Jarecki, Krawczyk, Shirvanian, and Saxena (https://ia.cr/2015/1099).  It is
+ documented online at https://sphinx.pm/ .
  .
  This package contains 4 simple scripts which
    - wrap the client to query the master password securely using
