=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 ### will be performed.
 ###
 ##override_dh_auto_test:
-##	echo "FIXME! all build time tests skipped"
+##	echo "all build time tests skipped"
 
 ### disable all tests in tests/test.py, only run the other ones in tests/*.py
 ##override_dh_auto_test:
