=== debian/tests/control ===
# see /usr/share/doc/autopkgtest/README.package-tests.rst.gz
#
# Restrictions: allow-stderr
# Architecture: !armel !armhf !i386 !ppc64el !riscv64
#
Test-Command: pybuild-autopkgtest
Depends: @, @builddeps@
Restrictions: allow-stderr, flaky
